#!/bin/sh

RPM_GPG_HOME="/usr/lib/rpm/gnupg/"

# Check if the "bad" RSA key is in the RPM database
rpm -q gpg-pubkey-04a29db0-559d4aec > /dev/null 2>&1
if [ $? -eq 0 ]
then
  echo "Found gpg-pubkey-04a29db0-559d4aec in RPM database. Removing..."
  rpm -e --allmatches gpg-pubkey-04a29db0 || true
fi

rpm -q gpg-pubkey-04881839-5c2f510d > /dev/null 2>&1
if [ $? -eq 0 ]
then
  echo "Correct key found. No changes required."
  exit 0
fi 

echo -n "importing OES build key to rpm database... "
cd $RPM_GPG_HOME/keys

# bnc#973133 - import our new keys into RPM's database
rpm --import gpg-pubkey-04881839-5c2f510d.asc
rpm --import gpg-pubkey-d02de1f3-5c2f52e4.asc

echo "  done."
